OpenVZ Forum


Home » General » HowTo » Script to install yum on CentOS VE
Script to install yum on CentOS VE [message #21303] Thu, 04 October 2007 15:56 Go to next message
earthgecko is currently offline  earthgecko
Messages: 1
Registered: October 2007
Junior Member
###The version numbers will change over time but these are all the packages you need to install yum on a minimal CentOS VE

rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/gmp- 4.1.4-3.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/read line-4.3-13.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/pyth on-2.3.4-14.4.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/libx ml2-2.6.16-10.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/libx ml2-python-2.6.16-10.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/expa t-1.95.7-4.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/pyth on-elementtree-1.2.6-5.el4.centos.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/sqli te-3.3.6-2.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/pyth on-sqlite-1.1.7-1.2.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/elfu tils-0.97.1-4.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/rpm- python-4.3.3-22_nonptl.i386.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/pyth on-urlgrabber-2.9.8-2.noarch.rpm
rpm -Uvh http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/yum- 2.4.3-3.el4.centos.noarch.rpm
yum -y update


question everything.....
Re: Script to install yum on CentOS VE [message #29397 is a reply to message #21303] Fri, 11 April 2008 22:33 Go to previous messageGo to next message
SoftDux is currently offline  SoftDux
Messages: 55
Registered: November 2007
Location: Johannesburg, South Afric...
Member
Here's the list for CentOS 5

rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/gmp-4.1.4-10.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/readline-5.1-1.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-2.4.3-19.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/libxml2-2.6.26-2.1.2.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/libxml2-python-2.6.26-2.1.2.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/expat-1.95.8-8.2.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-elementtree-1.2.6-5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/sqlite-3.3.6-2.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-sqlite-1.1.7-1.2.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/elfutils-0.125-3.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-4.4.2-47.el5.i386.rpm --force
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-libs-4.4.2-47.el5.i386.rpm
http://mirror.centos.org/centos/5/os/i386/CentOS/m2crypto-0.16-6.el5.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-python-4.4.2-47.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-urlgrabber-3.1.0-2.noarch.rpm
rpm -uVh http://mirror.centos.org/centos/5/os/i386/CentOS/yum-metadata-parser-1.0-8.fc6.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/yum-3.0.5-1.el5.centos.5.noarch.rpm
yum -y update



P.S. Please note
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-4.4.2-47.el5.i386.rpm --force


If you don't do this, then it's looking for rpm-4.4.2-35.el5.i386 - which I couldn't find, but this seems to work
Re: Script to install yum on CentOS VE [message #29591 is a reply to message #21303] Thu, 17 April 2008 17:47 Go to previous messageGo to next message
SoftDux is currently offline  SoftDux
Messages: 55
Registered: November 2007
Location: Johannesburg, South Afric...
Member
Sorry all, I made some typo's.

Here's the correct list:


rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/gmp-4.1.4-10.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/readline-5.1-1.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-2.4.3-19.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/libxml2-2.6.26-2.1.2.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/libxml2-python-2.6.26-2.1.2.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/expat-1.95.8-8.2.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-elementtree-1.2.6-5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/sqlite-3.3.6-2.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-sqlite-1.1.7-1.2.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/elfutils-0.125-3.el5.i386.rpm
rpm -ivh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-4.4.2-47.el5.i386.rpm --force
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-libs-4.4.2-47.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/m2crypto-0.16-6.el5.1.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-python-4.4.2-47.el5.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/python-urlgrabber-3.1.0-2.noarch.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/yum-metadata-parser-1.0-8.fc6.i386.rpm
rpm -Uvh http://mirror.centos.org/centos/5/os/i386/CentOS/yum-3.0.5-1.el5.centos.5.noarch.rpm
yum -y update


P.S. Please note
rpm -ivh http://mirror.centos.org/centos/5/os/i386/CentOS/rpm-4.4.2-47.el5.i386.rpm --force

If you don't do this, then it's looking for rpm-4.4.2-35.el5.i386 - which I couldn't find, but this seems to work
Re: Script to install yum on CentOS VE [message #29789 is a reply to message #29591] Thu, 24 April 2008 17:35 Go to previous messageGo to next message
jonwatson is currently offline  jonwatson
Messages: 21
Registered: March 2007
Junior Member
Hello,

I am in dependency hell with YUM on the CentOS 5 default template:

# rpm -Uhv http://mirror.centos.org/centos-5/5/os/x86_64/CentOS/rpm-4.4.2-47.el5.x86_64.rpm --force
Retrieving http://mirror.centos.org/centos-5/5/os/x86_64/CentOS/rpm-4.4.2-47.el5.x86_64.rpm
error: Failed dependencies:
        rpm = 4.4.2-37.el5 is needed by (installed) rpm-libs-4.4.2-37.el5.x86_64

# rpm -Uhv http://mirror.centos.org/centos-5/5/os/x86_64/CentOS/rpm-libs-4.4.2-47.el5.x86_64.rpm --force
Retrieving http://mirror.centos.org/centos-5/5/os/x86_64/CentOS/rpm-libs-4.4.2-47.el5.x86_64.rpm
error: Failed dependencies:
        rpm = 4.4.2-47.el5 is needed by rpm-libs-4.4.2-47.el5.x86_64


I have attempted to follow the instructions in this thread and on the wiki for CentOS 5, but run into the same problem at the end.

Has anyone solved this?

Thanks

Jon
Re: Script to install yum on CentOS VE [message #29810 is a reply to message #29789] Fri, 25 April 2008 08:15 Go to previous messageGo to next message
kir is currently offline  kir
Messages: 1645
Registered: August 2005
Location: Moscow, Russia
Senior Member

You have to install both RPM packages in ONE transaction.

Kir Kolyshkin
http://static.openvz.org/userbars/openvz-developer.png
Re: Script to install yum on CentOS VE [message #30142 is a reply to message #21303] Tue, 13 May 2008 08:11 Go to previous message
bumblebee is currently offline  bumblebee
Messages: 1
Registered: May 2008
Junior Member
wget everything to a directory of choice, then in that directory

rpm -Uvh *.rpm
Previous Topic: Traffic Limiting
Next Topic: splash image for grub
Goto Forum:
  


Current Time: Mon Mar 04 02:54:34 GMT 2024

Total time taken to generate the page: 0.02585 seconds